/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
import { arraySetAdd } from '../../mol-util/array';
var UndirectedEdgeGraph = /** @class */ (function () {
    function UndirectedEdgeGraph() {
        this.edges = new Map();
    }
    UndirectedEdgeGraph.prototype.addEdge = function (a, b) {
        if (this.edges.has(a)) {
            arraySetAdd(this.edges.get(a), b);
        }
        else {
            this.edges.set(a, [b]);
        }
        if (this.edges.has(b)) {
            arraySetAdd(this.edges.get(b), a);
        }
        else {
            this.edges.set(b, [a]);
        }
    };
    return UndirectedEdgeGraph;
}());
export { UndirectedEdgeGraph };
//# sourceMappingURL=undirected-edge-graph.js.map