/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
export { UndirectedGraph };
declare class UndirectedGraph<T extends string | number, S = T> {
    vertices: Map<T, S | undefined>;
    edges: Map<T, T[]>;
    addVertex(a: T, s?: S): void;
    addEdge(a: T, b: T): void;
    /**
     * Returns a connected component induced by a and
     * its unique representative.
     */
    getComponent(a: T): {
        pivot: T;
        component: T[];
    };
}
